summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Larry Hajali2013-12-16 06:39:45 +0100
committer Erik Hanson2013-12-17 18:00:31 +0100
commit64e3484c8e02bf5f8698dd6c8a8bbea47c05fb30 (patch)
tree13dd11802d47d331f590e87aab7c28db50d958b3
parentc8db3823bedcfb6ed6aed3880f59e2ff6beed7ed (diff)
downloadslackbuilds-64e3484c8e02bf5f8698dd6c8a8bbea47c05fb30.tar.gz
libraries/qt5: Added (multi-platform C++ GUI toolkit).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--libraries/qt5/README8
-rw-r--r--libraries/qt5/desktop/qt5-assistant.desktop8
-rw-r--r--libraries/qt5/desktop/qt5-designer.desktop10
-rw-r--r--libraries/qt5/desktop/qt5-linguist.desktop9
-rw-r--r--libraries/qt5/desktop/qt5-qdbusviewer.desktop9
-rw-r--r--libraries/qt5/doinst.sh9
-rw-r--r--libraries/qt5/patches/platformplugin-install-path-fix.patch13
-rw-r--r--libraries/qt5/patches/qt5.mysql.h.diff12
-rw-r--r--libraries/qt5/patches/qtbase-opensource-src-5.2.0-alpha-harfbuzz.patch12
-rw-r--r--libraries/qt5/profile.d/qt5.csh17
-rw-r--r--libraries/qt5/profile.d/qt5.sh17
-rw-r--r--libraries/qt5/qt5.SlackBuild265
-rw-r--r--libraries/qt5/qt5.info10
-rw-r--r--libraries/qt5/slack-desc19
14 files changed, 418 insertions, 0 deletions
diff --git a/libraries/qt5/README b/libraries/qt5/README
new file mode 100644
index 0000000000..92d8c5704b
--- /dev/null
+++ b/libraries/qt5/README
@@ -0,0 +1,8 @@
+Qt is a cross-platform C++ application framework. Qt's primary feature
+is its rich set of widgets that provide standard GUI functionality.
+
+Optional dependencies: unixODBC, libxkbcommon, freetds, pulseaudio,
+and postgresql.
+
+Optional dependencies not available at SlackBuilds.org: wayland,
+openvg and firebird.
diff --git a/libraries/qt5/desktop/qt5-assistant.desktop b/libraries/qt5/desktop/qt5-assistant.desktop
new file mode 100644
index 0000000000..64658fdabf
--- /dev/null
+++ b/libraries/qt5/desktop/qt5-assistant.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=Qt5 Assistant
+Comment=Shows Qt5 documentation and examples
+Exec=/usr/lib@LIBDIR@/qt5/bin/assistant
+Icon=qt5-assistant
+Terminal=false
+Type=Application
+Categories=Qt;Development;Documentation;
diff --git a/libraries/qt5/desktop/qt5-designer.desktop b/libraries/qt5/desktop/qt5-designer.desktop
new file mode 100644
index 0000000000..e7004bf34f
--- /dev/null
+++ b/libraries/qt5/desktop/qt5-designer.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Name=Qt5 Designer
+GenericName=Interface Designer
+Comment=Design GUIs for Qt5 applications
+Exec=/usr/lib@LIBDIR@/qt5/bin/designer
+Icon=qt5-designer
+MimeType=application/x-designer;
+Terminal=false
+Type=Application
+Categories=Qt;Development;
diff --git a/libraries/qt5/desktop/qt5-linguist.desktop b/libraries/qt5/desktop/qt5-linguist.desktop
new file mode 100644
index 0000000000..4e260652ba
--- /dev/null
+++ b/libraries/qt5/desktop/qt5-linguist.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=Qt5 Linguist
+Comment=Add translations to Qt5 applications
+Exec=/usr/lib@LIBDIR@/qt5/bin/linguist
+Icon=qt5-linguist
+MimeType=text/vnd.trolltech.linguist;application/x-linguist;
+Terminal=false
+Type=Application
+Categories=Qt;Development;
diff --git a/libraries/qt5/desktop/qt5-qdbusviewer.desktop b/libraries/qt5/desktop/qt5-qdbusviewer.desktop
new file mode 100644
index 0000000000..7835314ff7
--- /dev/null
+++ b/libraries/qt5/desktop/qt5-qdbusviewer.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=Qt5 QDbusViewer
+GenericName=Qt5 D-Bus Debugger
+Comment=Debug D-Bus applications
+Exec=/usr/lib@LIBDIR@/qt5/bin/qdbusviewer
+Icon=qt5-qdbusviewer
+Terminal=false
+Type=Application
+Categories=Qt;Development;Debugger;
diff --git a/libraries/qt5/doinst.sh b/libraries/qt5/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/libraries/qt5/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/libraries/qt5/patches/platformplugin-install-path-fix.patch b/libraries/qt5/patches/platformplugin-install-path-fix.patch
new file mode 100644
index 0000000000..022166de66
--- /dev/null
+++ b/libraries/qt5/patches/platformplugin-install-path-fix.patch
@@ -0,0 +1,13 @@
+diff -Naur qt-everywhere-opensource-src-5.0.2.orig/qtwebkit/Source/WebKit/qt/examples/platformplugin/platformplugin.pro qt-everywhere-opensource-src-5.0.2/qtwebkit/Source/WebKit/qt/examples/platformplugin/platformplugin.pro
+--- qt-everywhere-opensource-src-5.0.2.orig/qtwebkit/Source/WebKit/qt/examples/platformplugin/platformplugin.pro 2013-04-09 00:11:38.000000000 +0000
++++ qt-everywhere-opensource-src-5.0.2/qtwebkit/Source/WebKit/qt/examples/platformplugin/platformplugin.pro 2013-05-31 01:18:29.157175082 +0000
+@@ -20,7 +20,8 @@
+ }
+ }
+
+-DESTDIR = $$[QT_INSTALL_PLUGINS]/webkit
++target.path = $$[QT_INSTALL_PLUGINS]/webkit
++INSTALLS += target
+
+ SOURCES += \
+ WebPlugin.cpp \
diff --git a/libraries/qt5/patches/qt5.mysql.h.diff b/libraries/qt5/patches/qt5.mysql.h.diff
new file mode 100644
index 0000000000..41dc9d34d5
--- /dev/null
+++ b/libraries/qt5/patches/qt5.mysql.h.diff
@@ -0,0 +1,12 @@
+diff -Naur qt-everywhere-opensource-src-5.1.0.orig/qtbase/src/sql/drivers/mysql/qsql_mysql_p.h qt-everywhere-opensource-src-5.1.0/qtbase/src/sql/drivers/mysql/qsql_mysql_p.h
+--- qt-everywhere-opensource-src-5.1.0.orig/qtbase/src/sql/drivers/mysql/qsql_mysql_p.h 2013-07-02 07:09:52.000000000 +0000
++++ qt-everywhere-opensource-src-5.1.0/qtbase/src/sql/drivers/mysql/qsql_mysql_p.h 2013-07-21 21:21:01.190172379 +0000
+@@ -60,7 +60,7 @@
+ #include <QtCore/qt_windows.h>
+ #endif
+
+-#include <mysql.h>
++#include <mysql/mysql.h>
+
+ #ifdef QT_PLUGIN
+ #define Q_EXPORT_SQLDRIVER_MYSQL
diff --git a/libraries/qt5/patches/qtbase-opensource-src-5.2.0-alpha-harfbuzz.patch b/libraries/qt5/patches/qtbase-opensource-src-5.2.0-alpha-harfbuzz.patch
new file mode 100644
index 0000000000..57a044ed92
--- /dev/null
+++ b/libraries/qt5/patches/qtbase-opensource-src-5.2.0-alpha-harfbuzz.patch
@@ -0,0 +1,12 @@
+diff -up qtbase-opensource-src-5.2.0-alpha/src/gui/text/qtextengine.cpp.harfbuzz qtbase-opensource-src-5.2.0-alpha/src/gui/text/qtextengine.cpp
+--- qtbase-opensource-src-5.2.0-alpha/src/gui/text/qtextengine.cpp.harfbuzz 2013-09-27 06:05:10.000000000 -0500
++++ qtbase-opensource-src-5.2.0-alpha/src/gui/text/qtextengine.cpp 2013-10-01 12:20:23.089054279 -0500
+@@ -1098,7 +1098,7 @@ int QTextEngine::shapeTextWithHarfbuzzNG
+ hb_buffer_set_segment_properties(buffer, &props);
+ hb_buffer_guess_segment_properties(buffer);
+
+- uint buffer_flags = HB_BUFFER_FLAG_DEFAULT;
++ uint buffer_flags = HB_BUFFER_FLAGS_DEFAULT;
+ // Symbol encoding used to encode various crap in the 32..255 character code range,
+ // and thus might override U+00AD [SHY]; avoid hiding default ignorables
+ if (actualFontEngine->symbol)
diff --git a/libraries/qt5/profile.d/qt5.csh b/libraries/qt5/profile.d/qt5.csh
new file mode 100644
index 0000000000..ec1ecd9bef
--- /dev/null
+++ b/libraries/qt5/profile.d/qt5.csh
@@ -0,0 +1,17 @@
+#!/bin/csh
+# Environment path variables for the Qt package:
+if ( ! $?QT5DIR ) then
+ # It's best to use the generic directory to avoid
+ # compiling in a version-containing path:
+ if ( -d /usr/lib@LIBDIRSUFFIX@/qt5 ) then
+ setenv QT5DIR /usr/lib@LIBDIRSUFFIX@/qt5
+ else
+ # Find the newest Qt directory and set $QT5DIR to that:
+ foreach qtd ( /usr/lib@LIBDIRSUFFIX@/qt5-* )
+ if ( -d $qtd ) then
+ setenv QT5DIR $qtd
+ endif
+ end
+ endif
+endif
+set path = ( $path $QT5DIR/bin )
diff --git a/libraries/qt5/profile.d/qt5.sh b/libraries/qt5/profile.d/qt5.sh
new file mode 100644
index 0000000000..8ee075e17e
--- /dev/null
+++ b/libraries/qt5/profile.d/qt5.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+# Environment variables for the Qt package.
+#
+# It's best to use the generic directory to avoid
+# compiling in a version-containing path:
+if [ -d /usr/lib@LIBDIRSUFFIX@/qt5 ]; then
+ QT5DIR=/usr/lib@LIBDIRSUFFIX@/qt5
+else
+ # Find the newest Qt directory and set $QT5DIR to that:
+ for qtd in /usr/lib@LIBDIRSUFFIX@/qt5-* ; do
+ if [ -d $qtd ]; then
+ QT5DIR=$qtd
+ fi
+ done
+fi
+PATH="$PATH:$QT5DIR/bin"
+export QT5DIR
diff --git a/libraries/qt5/qt5.SlackBuild b/libraries/qt5/qt5.SlackBuild
new file mode 100644
index 0000000000..a321974f8a
--- /dev/null
+++ b/libraries/qt5/qt5.SlackBuild
@@ -0,0 +1,265 @@
+#!/bin/sh
+
+# Slackware build script for qt5
+
+# Copyright 2013 Larry Hajali <larryhaja[at]gmail[dot]com>
+# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Merged some ideas from Alex Sarmardzic's script for qt4 at SlackBuilds.org
+# ^^ Modified by Robby Workman <rworkman@slackware.com> for QT4 & KDE4
+
+# We're using qt-copy instead of a released qt version, as this git release
+# has at least one bugfix strongly recommended by the kde developers.
+
+# Obtained from:
+# git clone git://gitorious.org/+kde-developers/qt/kde-qt.git
+# git checkout origin/4.5.3-patched
+# git checkout origin/4.6.0-stable-patched
+# git checkout origin/4.6.1-patched
+# git checkout origin/4.7.0-patched
+#
+# Alternate method (we don't use this):
+# wget http://qt.gitorious.org/qt/kde-qt/archive-tarball/4.6.2-patched
+#
+# Modifications 2010, 2011, 2012 Eric Hameleers, Eindhoven, NL
+# qt 4.7.3, 4.7.4, 4.8.0, 4.8.1, 4.8.2, 4.8.4 are built from original nokia sources.
+
+# This is the highly modified version qt.SlackBuild found in Slackware
+# tailored to Qt 5. Modified by Larry Hajali.
+
+PRGNAM=qt5
+VERSION=${VERSION:-5.2.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ # To prevent "qatomic_armv6.h error: output number 2 not directly addressable"
+ # More permanent solution is to patch gcc:
+ # http://bazaar.launchpad.net/~linaro-toolchain-dev/gcc-linaro/4.6/revision/106731
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16 -fno-strict-volatile-bitfields"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${PRGNAM/5/}-everywhere-opensource-src-$VERSION
+tar xvf $CWD/${PRGNAM/5/}-everywhere-opensource-src-$VERSION.tar.xz
+cd ${PRGNAM/5/}-everywhere-opensource-src-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Slackware patch to build against MySQL/MariaDB.
+patch -p1 < $CWD/patches/qt5.mysql.h.diff
+
+# Install path fix for libplatformplugin.so.
+# https://bugs.webkit.org/show_bug.cgi?id=117077
+patch -p1 < $CWD/patches/platformplugin-install-path-fix.patch
+
+# fix build with -system-harfbuzz
+patch -p1 -d qtbase < $CWD/patches/qtbase-opensource-src-5.2.0-alpha-harfbuzz.patch
+
+if echo "$ARCH" | grep -q "i.86" 2>/dev/null; then
+ sed -i "/^QMAKE_CFLAGS_RELEASE/ s|+=.*|+= $SLKCFLAGS|" qtbase/mkspecs/common/gcc-base.conf
+fi
+
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+export OPENSOURCE_CXXFLAGS="$SLKCFLAGS"
+./configure -v \
+ -confirm-license \
+ -opensource \
+ -prefix "/usr/lib${LIBDIRSUFFIX}/$PRGNAM" \
+ -sysconfdir "/etc/xdg" \
+ -docdir "/usr/doc/$PRGNAM-$VERSION" \
+ -system-libpng \
+ -system-libjpeg \
+ -system-zlib \
+ -system-sqlite \
+ -system-pcre \
+ -plugin-sql-sqlite \
+ -icu \
+ -openssl \
+ -verbose \
+ -optimized-qmake \
+ -dbus-linked \
+ -reduce-relocations \
+ -qpa xcb \
+ -xcb \
+ -glib \
+ -accessibility \
+ -javascript-jit \
+ -system-harfbuzz \
+ -nomake examples \
+ -no-separate-debug-info \
+ -no-pch \
+ -no-rpath \
+ -no-strip \
+ -release
+
+make
+make install INSTALL_ROOT=$PKG
+
+ln -s $PRGNAM $PKG/usr/lib${LIBDIRSUFFIX}/qt-$VERSION
+
+mkdir -p $PKG/usr/bin
+for BIN in $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM/bin/*; do
+ TMP_FILE=$(echo $BIN | sed -e "s|$PKG||")
+ case $(basename $BIN) in
+ syncqt.pl)
+ ln -s $TMP_FILE $PKG/usr/bin/$(basename $BIN)
+ ;;
+ *)
+ ln -s $TMP_FILE $PKG/usr/bin/$(basename $BIN)-$PRGNAM
+ ;;
+ esac
+done
+
+for LIBS in $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM/lib/*so*; do
+ TMP_FILE=$(echo $LIBS | sed -e "s|$PKG||")
+ ln -s $TMP_FILE $PKG/usr/lib${LIBDIRSUFFIX}/$(basename $LIBS)
+done
+
+# Create Environment variables
+mkdir -p $PKG/etc/profile.d
+sed -e "s|@LIBDIRSUFFIX@|${LIBDIRSUFFIX}|g" $CWD/profile.d/$PRGNAM.sh \
+ > $PKG/etc/profile.d/$PRGNAM.sh
+sed -e "s|@LIBDIRSUFFIX@|${LIBDIRSUFFIX}|g" $CWD/profile.d/$PRGNAM.csh \
+ > $PKG/etc/profile.d/$PRGNAM.csh
+chmod 0755 $PKG/etc/profile.d/*
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+cat > $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM/lib/pkgconfig/Qt5.pc << EOF
+prefix=/usr/lib${LIBDIRSUFFIX}/$PRGNAM
+bindir=\${prefix}/bin
+datadir=\${prefix}
+docdir=/usr/doc/$PRGNAM-$VERSION
+archdatadir=\${prefix}
+examplesdir=\${prefix}/examples
+headerdir=\${prefix}/include
+importdir=\${prefix}/imports
+qmldir=\${prefix}/qml
+libdir=\${prefix}/lib
+libexec=\${prefix}/libexec
+moc=\${bindir}/moc
+plugindir=\${prefix}/plugins
+qmake=\${bindir}/qmake
+sysconfdir=/etc/xdg
+translationdir=\${prefix}/translations
+
+Name: Qt5
+Description: Qt5 Configuration
+Version: $VERSION
+EOF
+
+# Fix internal linking for Qt5WebKit.pc.
+sed -i \
+ -e "s|-Wl,-whole-archive -lWebKit1 -Wl,-no-whole-archive -L${PWD}/qtwebkit/Source/WebKit[^ ]* ||" \
+ -e "s|-Wl,-whole-archive -lWebKit2 -Wl,-no-whole-archive -L${PWD}/qtwebkit/Source/WebKit2[^ ]* ||" \
+ -e "s|-Wl,-whole-archive -lWebCore -Wl,-no-whole-archive -L${PWD}/qtwebkit/Source/WebCore[^ ]* ||" \
+ -e "s|-Wl,-whole-archive -lANGLE -Wl,-no-whole-archive -L${PWD}/qtwebkit/Source/ThirdParty/ANGLE[^ ]* ||" \
+ -e "s|-Wl,-whole-archive -lJavaScriptCore -Wl,-no-whole-archive -L${PWD}/qtwebkit/Source/JavaScriptCore[^ ]* ||" \
+ -e "s|-Wl,-whole-archive -lWTF -Wl,-no-whole-archive -L${PWD}/qtwebkit/Source/WTF[^ ]* ||" \
+ $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM/lib/pkgconfig/Qt5WebKit.pc
+
+# While we are at it, there isn't any reason to keep references to $PKG in the *.prl files.
+for PRL in $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM/lib/*.prl; do
+ sed -i '/^QMAKE_PRL_BUILD_DIR/d' $PRL
+done
+
+# One more for the road.
+sed -i "s|$PWD/qtbase|/usr/lib${LIBDIRSUFFIX}/$PRGNAM|" \
+ $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM/mkspecs/modules/qt_lib_bootstrap_private.pri
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig
+for PKGCONFIG in $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM/lib/pkgconfig/*.pc; do
+ TMP_FILE=$(echo $PKGCONFIG | sed -e "s|$PKG||")
+ ln -s $TMP_FILE $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/$(basename $PKGCONFIG)
+done
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/cmake
+for CMAKE in $(find $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM/lib/cmake -maxdepth 1); do
+ TMP_FILE=$(echo $CMAKE | sed -e "s|$PKG||")
+ ln -s $TMP_FILE $PKG/usr/lib${LIBDIRSUFFIX}/cmake/$(basename $CMAKE)
+done
+
+for i in $CWD/desktop/*.desktop; do
+ install -D -m 0644 $i $PKG/usr/share/applications/$(basename $i)
+done
+sed -i "s|@LIBDIR@|$LIBDIRSUFFIX|" $PKG/usr/share/applications/*
+
+for i in $(find . -name "assistant.ico" -o -name "designer.ico" \
+ -o -name "linguist.ico" -o -name "qdbusviewer.ico"); do
+ for j in 16 24 32 48 64 96 128; do
+ convert $i -resize ${j}x${j}! $(basename $i)-$j.png
+ install -D -m 0644 $(basename $i)-$j-0.png \
+ $PKG/usr/share/icons/hicolor/${j}x${j}/apps/$PRGNAM-$(basename $i | sed 's|.ico||').png
+ done
+done
+
+# Remove executable bits from files.
+find $PKG \( -name "*.qml" -o -name "*.app" \) -perm 755 -exec chmod 644 '{}' \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README qtbase/{header*,LGPL_EXCEPTION.txt,LICENSE.*L} \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/qt5/qt5.info b/libraries/qt5/qt5.info
new file mode 100644
index 0000000000..db68ea8233
--- /dev/null
+++ b/libraries/qt5/qt5.info
@@ -0,0 +1,10 @@
+PRGNAM="qt5"
+VERSION="5.2.0"
+HOMEPAGE="http://qt-project.org/"
+DOWNLOAD="http://download.qt-project.org/official_releases/qt/5.2/5.2.0/single/qt-everywhere-opensource-src-5.2.0.tar.xz"
+MD5SUM="8f60b47ca9461831d940f579ee90517e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
diff --git a/libraries/qt5/slack-desc b/libraries/qt5/slack-desc
new file mode 100644
index 0000000000..99abf5c2ba
--- /dev/null
+++ b/libraries/qt5/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+qt5: qt5 (a multi-platform C++ graphical user interface toolkit)
+qt5:
+qt5: Qt is a cross-platform C++ application framework. Qt's primary feature
+qt5: is its rich set of widgets that provide standard GUI functionality.
+qt5:
+qt5: Homepage: http://qt-project.org
+qt5:
+qt5:
+qt5:
+qt5:
+qt5: